#include <stdio.h>
#include <malloc.h>
#include <string.h>
#include "VizFileMgr.h"
#include "log.h"


VizFileMgr::VizFileMgr() {
	idx = 0;
}

int VizFileMgr::getCount() {
	return( idx );
}

void VizFileMgr::load( char* base ) {
	char file[5000];
	char filename[50];
	for ( int testidx = 1; testidx < 100; testidx++ ) {
		sprintf( filename, "%s%d.wrl", base, testidx );
		FILE* fp = fopen( filename, "r" );
		if ( fp == NULL ) {
			break;
		}
		int count = fread( &file[0], 1, 4999, fp );
		if (( count > 0 ) && ( count < 5000 )) {
			file[count] = 0;
			addFile( &filename[0], &file[0] );
		}
		fclose( fp );
	}
}

void VizFileMgr::addFile( char* fileName, char* fileData ) {
	name[idx] = newstrcpy( fileName );
	value[idx] = newstrcpy( fileData );
	idx++;
}

char* VizFileMgr::get( char* baseName ) {
	char bname[100];
	sprintf( bname, "%s.wrl", baseName );
	for ( int i = 0; i < idx; i++ ) {
		if ( strcmp( name[i], bname ) == 0 ) {
			return( value[i] );
		}
	}
	return( NULL );
}
