#include <stdio.h>
#include <stdlib.h>
#include "MindtelSocket.h"

void main( int argc, char* argv[] ) {
	if ( argc <= 3 ) {
		printf( "Usage: socktest <ip> <port> [<page to get (put in quotes)>]\n" );
	} else {
		int port = 80;
		char* ip = argv[1];
		char* pageToGet = NULL;
		if ( argc >= 3 ) {
			port = atoi( argv[2] );
		}
		if ( argc == 4 ) {
			pageToGet = argv[3];
		}
		printf( "Attempting connection to %s port %d\n", ip, port );
		MindtelSocketClient client( ip, port );
		/*if ( client.Connect() ) {
			printf( "..connected\n" );
			if ( pageToGet != NULL ) {
				printf( "Attempting to get '%s'\n", pageToGet );
				client.GET( pageToGet );
				char result[1000];
				while ( client.Recv( &result[0], 999 ) > 0 ) {
					printf( result );
				}
				printf( "\nThat was it!\n" );
			}
		} else {
			printf( "..connection failed!\n" );
		}
		client.Close();*/
		if ( client.Connect() ) {
			printf( "..connected\n" );
			if ( pageToGet != NULL ) {
				printf( "Attempting to get '%s'\n", pageToGet );
				int x = client.simpleXmlRpc("/search", "rpc_search", "Component");
				printf( "result of search was %d\n", x );
			}
		} else {
			printf( "..connection failed!\n" );
		}
	}
}
